<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<BearWare.PixlrGadget.Models.Settings>" %>
<%@ Import Namespace="EPiServer.Core" %>
<%@ Import Namespace="EPiServer.Shell.Extensions" %>

<%= Html.ValidationSummary(null, new { @class = "epi-gadgetFeedback", style = "display:block" })%>

<div class="epi-smallPaddingHorizontal epi-formArea">
    <% Html.BeginGadgetForm("StoreConfiguration"); %>
        <fieldset>
        <legend>Settings</legend>
        
        <div class="epi-size10">
            <label><span>Editor height</span>
                <%= Html.TextBox("EditorHeight", null, new { @class = "epi-size10 pixlrgadget-rightAlign" })%>px
            </label>
            
        </div>
        
        <div class="epi-size10">
            <label><span>Preview size</span>
                <%= Html.TextBox("PreviewSize", null, new { @class = "epi-size10 pixlrgadget-rightAlign" })%>px
            </label>
        </div>
        
        <div class="epi-buttonRow">
            <%= Html.AcceptButton() %>
            <%= Html.CancelButton() %>
        </div>
        </fieldset>
    <% Html.EndForm(); %>
</div>
